<ecl-site-header logoSize="s" [siteName]="'app.site-name' | translate">
  <a
    eclSiteHeaderLink
    href="https://ec.europa.eu/info/index_{{ 'languageCode' }}"
    [attr.aria-label]="'ecl.footer.EUROPEAN-COMMISSION' | translate">
    <picture eclSiteHeaderPicture>
      <source srcset="assets/images/your-europe.svg" media="(min-width: 996px)" />
      <img eclSiteHeaderImage src="assets/images/your-europe.svg" alt="European Commission logo" />
    </picture>
  </a>
  <ecl-site-header-action>
    <ecl-site-header-language languageCode="en" />
  </ecl-site-header-action>
  <ecl-site-header-banner-top></ecl-site-header-banner-top>
</ecl-site-header>
<ecl-menu [ngClass]="{ 'ecl-u-pv-s': currentResolution === 'tablet', 'ecl-u-pa-none': currentResolution === 'desktop' }">
  <ecl-menu-item
    label="{{ 'app.header.menu-item.home' | translate }}"
    [isCurrent]="checkCurrentSection(mainPageSectionIds['home'])"
    routerLink="home" />
  <ecl-menu-item
    label="{{ 'app.header.menu-item.procedures' | translate }}"
    [isCurrent]="checkCurrentSection(mainPageSectionIds['procedures'])"
    routerLink="procedures" />
  <ecl-menu-item
    label="{{ 'app.header.menu-item.requirements' | translate }}"
    [isCurrent]="checkCurrentSection(mainPageSectionIds['requirements'])"
    routerLink="requirements" />
  <ecl-menu-item
    id="ee-evidences-providers-menu-item"
    label="{{ 'app.header.menu-item.evidences-providers' | translate }}"
    [isCurrent]="checkCurrentSection(mainPageSectionIds['evidences'])"
    routerLink="evidences" />
  <ecl-menu-item
    id="ee-dashboard"
    [hidden]="true"
    label="{{ 'app.header.menu-item.dashboard' | translate }}"
    [isCurrent]="checkCurrentSection(mainPageSectionIds['dashboard'])"
    routerLink="dashboard" />
  <ecl-menu-item id="ee-country-selector-mega-menu" label="Explore by Country" toggleAriaLabel="Explore by Country" class="ee-z-index-1000">
    <ecl-menu-mega>
      <div class="ee-dropdown-container">
        <ng-container *ngFor="let country of countries; trackBy: trackBy" class="ecl-u-max-height-100">
          <div class="ecl-u-d-flex ecl-u-flex-row ecl-u-align-items-center ecl-u-m-s ee-country-button ecl-u-pl-s">
            <img src="assets/icons/flags/{{ country.name.toLowerCase() }}.png" alt="" />
            <ecl-menu-mega-item routerLink="member-state/{{ country.code.toLowerCase() }}" label="{{ country.name }}" />
          </div>
        </ng-container>
      </div>
    </ecl-menu-mega>
  </ecl-menu-item>
</ecl-menu>
